DRBGTestVector (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.prng.test

## Class DRBGTestVector

- java.lang.Object
- - org.bouncycastle.crypto.prng.test.DRBGTestVector

-     public class DRBGTestVector
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DRBGTestVector(BlockCipher cipher, int keySizeInBits, EntropySource eSource, boolean predictionResistance, java.lang.String nonce, int securityStrength, java.lang.String[] expected)`
    `DRBGTestVector(Digest digest, EntropySource eSource, boolean predictionResistance, java.lang.String nonce, int securityStrength, java.lang.String[] expected)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DRBGTestVector` | `addAdditionalInput(java.lang.String input)`
    `byte[]` | `additionalInput(int position)`
    `EntropySource` | `entropySource()`
    `byte[]` | `expectedValue(int index)`
    `BlockCipher` | `getCipher()`
    `Digest` | `getDigest()`
    `int` | `keySizeInBits()`
    `byte[]` | `nonce()`
    `byte[]` | `personalizationString()`
    `boolean` | `predictionResistance()`
    `int` | `securityStrength()`
    `DRBGTestVector` | `setPersonalizationString(java.lang.String p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DRBGTestVector

          public DRBGTestVector(Digest digest,
                        EntropySource eSource,
                        boolean predictionResistance,
                        java.lang.String nonce,
                        int securityStrength,
                        java.lang.String[] expected)

    - #### DRBGTestVector

          public DRBGTestVector(BlockCipher cipher,
                        int keySizeInBits,
                        EntropySource eSource,
                        boolean predictionResistance,
                        java.lang.String nonce,
                        int securityStrength,
                        java.lang.String[] expected)

  - ### Method Detail

    - #### getDigest

          public Digest getDigest()

    - #### getCipher

          public BlockCipher getCipher()

    - #### keySizeInBits

          public int keySizeInBits()

    - #### addAdditionalInput

          public DRBGTestVector addAdditionalInput(java.lang.String input)

    - #### setPersonalizationString

          public DRBGTestVector setPersonalizationString(java.lang.String p)

    - #### entropySource

          public EntropySource entropySource()

    - #### predictionResistance

          public boolean predictionResistance()

    - #### nonce

          public byte[] nonce()

    - #### personalizationString

          public byte[] personalizationString()

    - #### securityStrength

          public int securityStrength()

    - #### expectedValue

          public byte[] expectedValue(int index)

    - #### additionalInput

          public byte[] additionalInput(int position)